Subject: Re: Urgent: Issue with GIT ...

From: Andy Hawkins <[email-masked]>
Date: Mon, 25 Jun 2012 13:02:37 +0000 (UTC)

Hi,

In article <[email-masked]>,
           guruprasad<[email-masked]> wrote:
> 5) If i do some changes to files in B, commit and push to remote branch, I
> am unable to pull the changes done and merge into A. I have set
> "receive.denycurrentbranch=ignore" in git config.

Sounds like you're trying to push into a remote non-bare repository.

What I'd do is:

1. On 'A', create a bare repository.
2. Somewhere else on 'A', clone this repository. Work and push to the bare
in step 1 when necessary.
3. On 'B', also clone the repository from 1. Work and push to the bare when
necessary.

I don't think it's a good idea to push to a repository that has checked out
files. I seem to remember this being mentioned in Pro Git.

Andy